Subject: Cross Connect traps from mplsXC entry in a router

From: "Anuj Bhatnagar" <[email-masked]>
Date: Wed, 14 Mar 2001 14:24:13 -0500

Can anybody tell me that if LSR generate any other traps besides being "up" or
"down" for mplsXCentry in its mplsXCTable ?

What are the conditions that LSR will generate a trap when mplsXC is in "down"
status?  In other words... if a lower layer link fails (for example SONET link
connecting two LSR) and LSPs passing through that link are rerouted then will
LSR still generate traps about mplsXCs being "down"?

Source for mplsXC and mplsXCtable is "draft-ietf-mpls-lsr-mib-07.txt"

Thanks and best regards,
Anuj

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Wed, 14 Mar 2001 14:50:52 -0500

Hi,

>"down" for mplsXCentry in its mplsXCTable ?

         Not that we could tell.

>LSR still generate traps about mplsXCs being "down"?

         There are several cases where this trap is useful. First, if
you are implementing hand-routed LSPs, then one can literally disable
the label switching for that set of labels (and then re-enable them
if they so choose). In the case of auto-routed label switching, if
the label set is removed from the TFIB, then the XC is "down" --
and then disappears. The XC is "up" when it is installed.
It can also happen in the case of TE tunnels where the tunnel is using
a set of labels and might be re-routed to another set of labels, although
it is arguably easier to just monitor the tunnelEntry in the MPLS-TE-MIB.
One important use of this trap is in the case of MPLS/BGP VPN. This is a
good way of doing fault detection in the core of the network.
Using the MPLS-VPN-MIB, one can tell which LSP(s) the VPN is using
across the core. If there is a failure, one can find which VPN(s)
is/are affected because one can follow down from the VPN MIB to
the LSR MIB's XCs and go hop-by-hop along the path.

         --Tom